#
# spec file for package autoyast2 (Version 2.18.12)
#
# norootforbuild

Name:		autoyast2
Version:	2.18.12
Release:	0


BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	autoyast2-2.18.12.tar.bz2

prefix:		/usr

Group:	System/YaST
License: GPL v2 or later
BuildRequires:	java2-devel-packages yast2-mouse yast2-transfer yast2-bootloader xorg-x11-libs yast2-devtools pkg-config libxslt perl-XML-Writer docbook-xsl-stylesheets sgml-skel yast2-testsuite update-desktop-files yast2-country yast2-slp
# API for Disabled Modules (ProductControl)
BuildRequires:	yast2 >= 2.16.36
# After API cleanup
BuildRequires:	yast2-update >= 2.18.3

Requires:	yast2 >= 2.16.36
Requires:	yast2-core yast2-xml libxslt
Requires:	autoyast2-installation = %{version}
Requires:	yast2-schema yast2 yast2-country yast2-storage

Provides:	yast2-module-autoinst yast2-config-autoinst
Obsoletes:	yast2-module-autoinst yast2-config-autoinst
Provides:	yast2-lib-autoinst
Obsoletes:	yast2-lib-autoinst

PreReq:		%insserv_prereq %fillup_prereq

BuildArchitectures:	noarch

Summary:	YaST2 - Automated Installation

%description
This package is intended for management of the control files and the
AutoYaST2 configurations. This system should only be used by
experienced system administrators. Warning: AutoYaST2 performs the
installation without any user intervention, warnings, or confirmations
(unless specified otherwise in the control file).

This file contains YaST2-independent files needed to create
installation sources.

%package installation
Version:	2.18.12
Summary:	YaST2 - Auto Installation Modules
Group:		System/YaST
# API for Disabled Modules (ProductControl)
Requires:	yast2 >= 2.16.36
# After API cleanup
Requires:	yast2-update >= 2.18.3
Requires:	yast2-xml yast2-core yast2 yast2-country yast2-mouse yast2-packager yast2-storage yast2-transfer yast2-slp
Provides:	yast2-trans-autoinst
Obsoletes:	yast2-trans-autoinst
%description installation
This package performs auto-installation relying on a control file
generated with the autoyast2 package.

%prep
%setup -n autoyast2-2.18.12

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1
[ -n "$JAVA_HOME" ] && unset JAVA_HOME
. /usr/share/java-utils/java-functions
export JAVA_HOME

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

for d in `ls $RPM_BUILD_ROOT/usr/share/autoinstall/modules/*.desktop`; do
    %suse_update_desktop_file $d
done

# Class conf
install -d -m 700 $RPM_BUILD_ROOT/etc/autoinstall
# Installation files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/scripts
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/init.d
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/logs
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/cache

# Repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/templates
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/rules
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/classes
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/autoconf
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/tmp

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_only -n autoinstall}


%files
%defattr(-,root,root)
%dir /etc/autoinstall
%dir /usr/share/YaST2/include/autoinstall
%dir /var/lib/autoinstall/repository
%dir /var/lib/autoinstall/repository/templates
%dir /var/lib/autoinstall/repository/rules
%dir /var/lib/autoinstall/repository/classes
%dir /var/lib/autoinstall/tmp
%doc %{prefix}/share/doc/packages/autoyast2


%{prefix}/share/applications/YaST2/autoyast.desktop
/usr/share/autoinstall/modules/*.desktop
/usr/share/YaST2/include/autoinstall/classes.ycp
/usr/share/YaST2/include/autoinstall/conftree.ycp
/usr/share/YaST2/include/autoinstall/dialogs.ycp
/usr/share/YaST2/include/autoinstall/partition_dialogs.ycp
/usr/share/YaST2/include/autoinstall/script_dialogs.ycp
/usr/share/YaST2/include/autoinstall/general_dialogs.ycp
/usr/share/YaST2/include/autoinstall/wizards.ycp
/usr/share/YaST2/include/autoinstall/helps.ycp
/usr/share/YaST2/schema/autoyast/rnc/*.rnc

/usr/share/YaST2/clients/general_auto.ycp
/usr/share/YaST2/clients/report_auto.ycp
/usr/share/YaST2/clients/classes_auto.ycp
/usr/share/YaST2/clients/scripts_auto.ycp
/usr/share/YaST2/clients/software_auto.ycp
/usr/share/YaST2/clients/storage_auto.ycp
/usr/share/YaST2/clients/autoyast.ycp
/usr/share/YaST2/clients/clone_system.ycp
/usr/share/YaST2/clients/ayast_setup.ycp

/usr/share/YaST2/scrconf/ksimport.scr


/usr/share/YaST2/modules/AutoinstClass.y*
/usr/share/YaST2/modules/Kickstart.y*
/usr/lib/YaST2/servers_non_y2/ag_ksimport



# additional files

/var/adm/fillup-templates/sysconfig.autoinstall


%files installation
%defattr(-,root,root)
/usr/share/YaST2/scrconf/autoinstall.scr
/usr/share/YaST2/scrconf/cfg_autoinstall.scr
# DTD files
%dir /usr/share/autoinstall
#%dir /usr/share/autoinstall/dtd
%dir /usr/share/autoinstall/modules
#/usr/share/autoinstall/dtd/*
/etc/init.d/autoyast

%dir /usr/share/autoinstall/xslt
/usr/share/autoinstall/xslt/merge.xslt
# config file

/usr/share/YaST2/modules/AutoinstClone.y*
%dir /usr/share/YaST2/include/autoinstall
/usr/share/YaST2/include/autoinstall/autopart.ycp
/usr/share/YaST2/include/autoinstall/io.ycp
/usr/share/YaST2/include/autoinstall/autoinst_dialogs.ycp
/usr/share/YaST2/include/autoinstall/AdvancedPartitionDialog.ycp
/usr/share/YaST2/include/autoinstall/DriveDialog.ycp
/usr/share/YaST2/include/autoinstall/PartitionDialog.ycp
/usr/share/YaST2/include/autoinstall/StorageDialog.ycp
/usr/share/YaST2/include/autoinstall/VolgroupDialog.ycp
/usr/share/YaST2/include/autoinstall/common.ycp
/usr/share/YaST2/include/autoinstall/tree.ycp
/usr/share/YaST2/include/autoinstall/types.ycp

/usr/share/YaST2/control/*.xml

/usr/share/YaST2/modules/AutoInstall.y*
/usr/share/YaST2/modules/AutoinstScripts.y*
/usr/share/YaST2/modules/AutoinstGeneral.y*
/usr/share/YaST2/modules/AutoinstImage.y*
/usr/share/YaST2/modules/Y2ModuleConfig.y*
/usr/share/YaST2/modules/Profile.y*
/usr/share/YaST2/modules/AutoinstFile.y*
/usr/share/YaST2/modules/AutoinstConfig.y*
/usr/share/YaST2/modules/AutoinstSoftware.y*
/usr/share/YaST2/modules/AutoinstLVM.y*
/usr/share/YaST2/modules/AutoinstRAID.y*
/usr/share/YaST2/modules/AutoinstStorage.y*
/usr/share/YaST2/modules/AutoInstallRules.y*
/usr/share/YaST2/modules/ProfileLocation.y*
/usr/share/YaST2/modules/AutoinstCommon.y*
/usr/share/YaST2/modules/AutoinstDrive.y*
/usr/share/YaST2/modules/AutoinstPartPlan.y*
/usr/share/YaST2/modules/AutoinstPartition.y*

#clients
/usr/share/YaST2/clients/inst_autoinit.ycp
/usr/share/YaST2/clients/inst_autoimage.ycp
/usr/share/YaST2/clients/inst_autosetup.ycp
/usr/share/YaST2/clients/inst_autoconfigure.ycp
/usr/share/YaST2/clients/inst_autopost.ycp
/usr/share/YaST2/clients/files_auto.ycp
/usr/share/YaST2/clients/autoinst_test_clone.ycp
/usr/share/YaST2/clients/autoinst_test_stage.ycp
/usr/share/YaST2/clients/autoinst_scripts1_finish.ycp
/usr/share/YaST2/clients/autoinst_scripts2_finish.ycp
/usr/share/YaST2/clients/ayast_probe.ycp
/usr/share/YaST2/include/autoinstall/xml.ycp
/usr/share/YaST2/include/autoinstall/ask.ycp


%dir /var/adm/autoinstall/
%dir /var/adm/autoinstall/scripts
%dir /var/adm/autoinstall/init.d
%dir /var/adm/autoinstall/logs
%dir /var/adm/autoinstall/files
%dir /var/adm/autoinstall/cache
%dir /var/lib/autoinstall
%dir /var/lib/autoinstall/autoconf


